changeset 1:18ce5899a17a draft

Uploaded
author brenninc
date Tue, 12 Apr 2016 04:14:22 -0400
parents c012ba512834
children c6f96d5d8a75
files r_info.sh
diffstat 1 files changed, 30 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/r_info.sh	Tue Apr 12 04:14:22 2016 -0400
@@ -0,0 +1,30 @@
+#!/bin/sh
+
+
+#Copied from https://github.com/galaxyproject/galaxy/blob/dev/tools/stats/r_wrapper.sh
+
+### Run R providing the R script in $1 as standard input and passing 
+### the remaining arguments on the command line
+
+# Function that writes a message to stderr and exits
+fail()
+{
+    echo "$@" >&2
+    exit 1
+}
+
+# Ensure R executable is found
+which R > /dev/null || fail "'R' is required by this tool but was not found on path" 
+
+# Extract first argument
+rfile=$1
+package_file=$2
+version_file=$3
+
+# Ensure the file exists
+test -f $infile || fail "R input file '$infile' does not exist"
+
+# Invoke R passing file named by first argument to stdin
+#Remove --slave for full R output
+R --vanilla --slave --args $package_file < $rfile
+echo "done"